Package com.sas.lsaf.content.utilization

## Class ResourceUtilizationWorkspaceInfo

- java.lang.Object
- - com.sas.lsaf.content.utilization.ResourceUtilizationWorkspaceInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ResourceUtilizationSummaryTransientWorkspaceInfo`, `ResourceUtilizationTransientWorkspaceInfo`

      public class ResourceUtilizationWorkspaceInfo
      extends java.lang.Object
      implements java.io.Serializable

  Represents a workspace with total size of all its children.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceUtilizationWorkspaceInfo​(java.lang.String owner, long size)` | The initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getOwner()` | Gets the userId of the owner of the workspace item.
    `long` | `getSize()` | Gets the total size (in bytes) of the workspace item.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUtilizationWorkspaceInfo

          public ResourceUtilizationWorkspaceInfo​(java.lang.String owner,
                                                  long size)

      The initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects. They should only be retrieved from service calls, such as `ResourceUtilizationService.getAllUserWorkspaceUtilization()`.

      Parameters:
        `owner` - The userId of the owner of the workspace item.
        `size` - The total size (in bytes) of the workspace item.

  - ### Method Detail

    - #### getOwner

          public java.lang.String getOwner()

      Gets the userId of the owner of the workspace item.
      Returns:
        The userId.

    - #### getSize

          public long getSize()

      Gets the total size (in bytes) of the workspace item.
      Returns:
        The total size (in bytes) of the workspace item.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`